### Method

# Pango AttrListinsert_before

#### Declaration [src]

    void
    pango_attr_list_insert_before (
      PangoAttrList* list,
      PangoAttribute* attr
    )

#### Description [src]

Insert the given attribute into the `PangoAttrList`.

It will be inserted before all other attributes with a matching `start_index`.

#### Parameters

`attr`

  Type: `PangoAttribute`

  The attribute to insert.

  The instance takes ownership of the data, and is responsible for freeing it.